Subject: RE: handling Proxy-Connection

From: Marc Slemko <[email-masked]>
Date: Wed, 26 Dec 2001 23:49:44 -0800 (PST)

On Fri, 21 Dec 2001, Joris Dobbelsteen wrote:

> This header is obsolete in HTTP/1.1 and SHOULD NOT be used in future
> implementations. The connection header will handle this in HTTP/1.1
> 
> Proxy-Connection was designed for persistent connections in HTTP/1.0. It's
> in a completely different RFC (if documented), so look through the RFC-index
> file. You should rely on this header only and only if you are using HTTP/1.0
> (and use a proxy).

Be that as it may, it is still necessary to explicitly deal with
this header if you are implementing a proxy.  Then you must strip
the Proxy-Connection header before forwarding the request, ie.  it
is a hop by hop header.

This is the case even if you don't want to explicitly support it
in your proxy to allow for persistent connections with 1.0 clients.
If you don't strip it, you will run into ugly issues when chaining
proxys if any proxy in the chain understands it.

I don't know if this requirement is documented in any spec, or if
it is just another of the "gotta know it" ones.